semanage_set_root(3)

NAME
semanage_set_root, semanage_root - SELinux Management API

SYNOPSIS
Set/get the alternate root directory for SELinux configuration directory. #include <semanage/handle.h> extern int semanage_set_root(const char *path); extern const char *semanage_root(void);

DESCRIPTION

The function semanage_set_root() sets an alternate root directory for SELinux configuration paths to be used by the semanage library.

RETURN VALUE
The function semanage_set_root() returns -1 in case of failure. Otherwise, 0 is returned. The function semanage_root() returns the semanage root. The returned value should not be modified by the caller.

SEE ALSO
semanage_handle_create(3), semanage_connect(3),